RK-A2 - Task #3793

Tweaks to make use of OpenAl 03-mini model
02/12/2025 01:48 PM - Ram Kordale

Status: Closed Start date: 02/12/2025
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.25 hour
Target version: Spent time: 0.00 hour
Description

When the model is "03-mini*", the client.chat.completions.create method can use an additional optional argument
reasoning_effort=<effort> as shown in
https://community.openai.com/t/is-03-mini-in-the-api-the-low-medium-or-high-version/1110423/2.

please add support for this in the 3772 colab (https://colab.research.google.com/drive/1imRA7KaABPua-fFIr9d50emwVGixUT0v)
and the corresponding BE code.

History

#1 - 02/13/2025 05:32 AM - Ram Kordale
- Assignee set to Dewakar Chaubey

- Estimated time set to 0.25 h

#2 - 02/13/2025 07:23 AM - Dewakar Chaubey

- Status changed from New to In Progress

#3 - 02/13/2025 07:23 AM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 02/13/2025 07:23 AM - Dewakar Chaubey
- Status changed from Resolved to Review

- Assignee changed from Dewakar Chaubey to Shubham Boke

#5 - 02/19/2025 05:05 AM - Shubham Boke
- Status changed from Review to Feedback

- Assignee changed from Shubham Boke to Dewakar Chaubey

#6 - 02/25/2025 12:28 PM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ram Kordale

#7 - 03/27/2025 05:51 AM - Ram Kordale
- Status changed from Feedback to Closed
